Upstream information

CVE-2022-22594 at MITRE

Description

A cross-origin issue in the IndexDB API was addressed with improved input validation. This issue is fixed in iOS 15.3 and iPadOS 15.3, watchOS 8.4, tvOS 15.3, Safari 15.3, macOS Monterey 12.2. A website may be able to track sensitive user information.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
No SUSE Bugzilla entries cross referenced.

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion OpenStack 8
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
HPE-Helion-OpenStack-8-2022-1677
HPE-Helion-OpenStack-8-2022-690
SUSE CaaS Platform 4.0
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2022-1511
SUSE-SUSE-CAASP-4.0-2022-703
SUSE Enterprise Storage 6
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-Storage-6-2022-1511
SUSE-Storage-6-2022-703
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-1431
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-1431
SUSE Enterprise Storage 7
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-Storage-7-2022-1431
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150400.2.13
  • libjavascriptcoregtk-4_1-0 >= 2.36.0-150400.2.13
  • libjavascriptcoregtk-5_0-0 >= 2.36.0-150400.2.12
  • libwebkit2gtk-4_0-37 >= 2.36.0-150400.2.13
  • libwebkit2gtk-4_1-0 >= 2.36.0-150400.2.13
  • libwebkit2gtk-5_0-0 >= 2.36.0-150400.2.12
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150400.2.13
  • typelib-1_0-JavaScriptCore-4_1 >= 2.36.0-150400.2.13
  • typelib-1_0-JavaScriptCore-5_0 >= 2.36.0-150400.2.12
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2-4_1 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2-5_0 >= 2.36.0-150400.2.12
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.36.0-150400.2.13
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150400.2.13
  • webkit2gtk-4_1-injected-bundles >= 2.36.0-150400.2.13
  • webkit2gtk-5_0-injected-bundles >= 2.36.0-150400.2.12
  • webkit2gtk3-devel >= 2.36.0-150400.2.13
  • webkit2gtk3-soup2-devel >= 2.36.0-150400.2.13
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libjavascriptcoregtk-4_0-18-2.36.0-150400.2.13
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libjavascriptcoregtk-4_1-0-2.36.0-150400.2.13
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA libjavascriptcoregtk-5_0-0-2.36.0-150400.2.12
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-1511
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-703
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-1511
SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-703
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-1431
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-1431
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-HPC-15-2022-1511
SUSE-SLE-Product-HPC-15-2022-703
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-1431
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150400.2.13
  • libwebkit2gtk-4_0-37 >= 2.36.0-150400.2.13
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150400.2.13
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150400.2.13
  • webkit2gtk3-soup2-devel >= 2.36.0-150400.2.13
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libjavascriptcoregtk-4_0-18-2.36.0-150400.2.13
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-1431
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
  • libjavascriptcoregtk-4_1-0 >= 2.36.0-150400.2.13
  • libwebkit2gtk-4_1-0 >= 2.36.0-150400.2.13
  • typelib-1_0-JavaScriptCore-4_1 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2-4_1 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.36.0-150400.2.13
  • webkit2gtk-4_1-injected-bundles >= 2.36.0-150400.2.13
  • webkit2gtk3-devel >= 2.36.0-150400.2.13
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libjavascriptcoregtk-4_1-0-2.36.0-150400.2.13
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • libjavascriptcoregtk-5_0-0 >= 2.36.0-150400.2.12
  • libwebkit2gtk-5_0-0 >= 2.36.0-150400.2.12
  • typelib-1_0-JavaScriptCore-5_0 >= 2.36.0-150400.2.12
  • typelib-1_0-WebKit2-5_0 >= 2.36.0-150400.2.12
  • webkit2gtk-5_0-injected-bundles >= 2.36.0-150400.2.12
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA libjavascriptcoregtk-5_0-0-2.36.0-150400.2.12
SUSE Linux Enterprise Real Time 15 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-RT-15-SP2-2022-1431
SUSE Linux Enterprise Server 12 SP2-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
  • webkit2gtk3-devel >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2022-1677
SUSE-SLE-SERVER-12-SP2-BCL-2022-690
SUSE Linux Enterprise Server 12 SP3-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2022-1677
SUSE-SLE-SERVER-12-SP3-BCL-2022-690
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2022-1677
SUSE-SLE-SERVER-12-SP3-ESPOS-2022-690
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2022-1677
SUSE-SLE-SERVER-12-SP3-2022-690
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2022-1677
SUSE-SLE-SERVER-12-SP4-ESPOS-2022-690
SUSE Linux Enterprise Server 12 SP4-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2022-1677
SUSE-SLE-SERVER-12-SP4-LTSS-2022-690
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
  • webkit2gtk3-devel >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1677
SUSE-SLE-SDK-12-SP5-2022-690
SUSE-SLE-SERVER-12-SP5-2022-1677
SUSE-SLE-SERVER-12-SP5-2022-690
SUSE Linux Enterprise Server 15 SP1-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2022-1511
SUSE-SLE-Product-SLES-15-SP1-BCL-2022-703
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-1511
SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-703
SUSE Linux Enterprise Server 15 SP2-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-1431
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-1431
SUSE Linux Enterprise Server 15-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-SLES-15-2022-1511
SUSE-SLE-Product-SLES-15-2022-703
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2022-1677
SUSE-SLE-SAP-12-SP3-2022-690
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2022-1677
SUSE-SLE-SAP-12-SP4-2022-690
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2022-1511
SUSE-SLE-Product-SLES_SAP-15-SP1-2022-703
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-1431
SUSE Linux Enterprise Server for SAP Applications 15
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150000.3.100.1
  • libwebkit2gtk3-lang >= 2.36.0-150000.3.100.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150000.3.100.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150000.3.100.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150000.3.100.1
  • webkit2gtk3-devel >= 2.36.0-150000.3.100.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2022-1511
SUSE-SLE-Product-SLES_SAP-15-2022-703
SUSE Linux Enterprise Software Development Kit 12 SP5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk3-devel >= 2.36.0-2.96.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1677
SUSE-SLE-SDK-12-SP5-2022-690
SUSE Manager Proxy 4.1
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-1431
SUSE Manager Retail Branch Server 4.1
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-1431
SUSE Manager Server 4.1
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-1431
SUSE OpenStack Cloud 8
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-OpenStack-Cloud-8-2022-1677
SUSE-OpenStack-Cloud-8-2022-690
SUSE OpenStack Cloud 9
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-1677
SUSE-OpenStack-Cloud-9-2022-690
SUSE OpenStack Cloud Crowbar 8
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2022-1677
SUSE-OpenStack-Cloud-Crowbar-8-2022-690
SUSE OpenStack Cloud Crowbar 9
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-2.96.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-2.96.1
  • libwebkit2gtk3-lang >= 2.36.0-2.96.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-2.96.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-2.96.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-2.96.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-1677
SUSE-OpenStack-Cloud-Crowbar-9-2022-690
openSUSE Leap 15.3
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150200.32.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37 >= 2.36.0-150200.32.1
  • libwebkit2gtk-4_0-37-32bit >= 2.36.0-150200.32.1
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150200.32.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.36.0-150200.32.1
  • webkit-jsc-4 >= 2.36.0-150200.32.1
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150200.32.1
  • webkit2gtk3-devel >= 2.36.0-150200.32.1
  • webkit2gtk3-minibrowser >= 2.36.0-150200.32.1
Patchnames:
openSUSE-SLE-15.3-2022-1431
openSUSE Leap 15.4
  • WebKit2GTK-4.1-lang >= 2.36.0-150400.2.13
  • WebKit2GTK-5.0-lang >= 2.36.0-150400.2.12
  • libjavascriptcoregtk-4_0-18 >= 2.36.0-150400.2.13
  • libjavascriptcoregtk-4_1-0 >= 2.36.0-150400.2.13
  • libjavascriptcoregtk-5_0-0 >= 2.36.0-150400.2.12
  • libwebkit2gtk-4_0-37 >= 2.36.0-150400.2.13
  • libwebkit2gtk-4_1-0 >= 2.36.0-150400.2.13
  • libwebkit2gtk-5_0-0 >= 2.36.0-150400.2.12
  • libwebkit2gtk3-lang >= 2.36.0-150200.32.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.36.0-150400.2.13
  • typelib-1_0-JavaScriptCore-5_0 >= 2.36.0-150400.2.12
  • typelib-1_0-WebKit2-4_0 >= 2.36.0-150400.2.13
  • typelib-1_0-WebKit2-5_0 >= 2.36.0-150400.2.12
  • webkit2gtk-4_0-injected-bundles >= 2.36.0-150400.2.13
  • webkit2gtk-4_1-injected-bundles >= 2.36.0-150400.2.13
  • webkit2gtk-5_0-injected-bundles >= 2.36.0-150400.2.12
Patchnames:
openSUSE Leap 15.4 GA WebKit2GTK-4.1-lang-2.36.0-150400.2.13
openSUSE-SLE-15.4-2022-1431


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 webkit2gtk3 Released
SUSE CaaS Platform 4.0 webkit2gtk3 Released
SUSE Enterprise Storage 6 webkit2gtk3 Released
SUSE Enterprise Storage 7 webkit2gtk3 Released
SUSE Enterprise Storage 7.1 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 12 SP4 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 webkit2gtk3 Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP4 webkit2gtk3 Already fixed
SUSE Linux Enterprise Real Time 15 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Real Time 15 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP2-BCL webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP2-ESPOS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP2-LTSS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP3-BCL webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP4 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP4-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Server 15 webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP1-BCL webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP1-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP2-BCL webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP2-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server 15-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise Server 15-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Software Development Kit 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 webkit2gtk3 Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 webkit2gtk3 Affected
SUSE Manager Proxy 4.0 webkit2gtk3 Affected
SUSE Manager Proxy 4.1 webkit2gtk3 Released
SUSE Manager Proxy 4.2 webkit2gtk3 Released
SUSE Manager Proxy 4.3 webkit2gtk3 Released
SUSE Manager Retail Branch Server 4.0 webkit2gtk3 Affected
SUSE Manager Retail Branch Server 4.1 webkit2gtk3 Released
SUSE Manager Retail Branch Server 4.2 webkit2gtk3 Released
SUSE Manager Retail Branch Server 4.3 webkit2gtk3 Released
SUSE Manager Server 4.0 webkit2gtk3 Affected
SUSE Manager Server 4.1 webkit2gtk3 Released
SUSE Manager Server 4.2 webkit2gtk3 Released
SUSE Manager Server 4.3 webkit2gtk3 Released
SUSE OpenStack Cloud 7 webkit2gtk3 Affected
SUSE OpenStack Cloud 8 webkit2gtk3 Released
SUSE OpenStack Cloud 9 webkit2gtk3 Released
SUSE OpenStack Cloud Crowbar 8 webkit2gtk3 Released
SUSE OpenStack Cloud Crowbar 9 webkit2gtk3 Released


SUSE Timeline for this CVE

CVE page created: Wed Aug 25 02:02:51 2021
CVE page last modified: Thu Dec 1 00:30:40 2022